Subject: Re: bug#63514: alacritty>=0.12.0 does not work with Wayland

From: Efraim Flashner <[email-masked]>
Date: Mon, 15 May 2023 12:11:11 +0300

On Mon, May 15, 2023 at 11:07:50AM +0200, Lars-Dominik Braun wrote:
> Hi,
> 
> > easy reproducer: 'DISPLAY="" alacritty' gives the same error.
> 
> that’s exactly what I used under Wayland, otherwise it’ll fall back
> to XWayland with ugly font rendering (because of my hidpi monitor).
> 
> > Do you know if the X11 error is also a problem?
> 
> Not sure what you mean. As I wrote it works with XWayland, so I’m
> guessing X11 is not broken.

I parsed the error like this:

(ins)efraim@3900XT ~$ DISPLAY="" alacritty
thread 'main' panicked at 'Failed to initialize any backend! Wayland status: NoWaylandLib X11 status: XOpenDisplayFailed', /tmp/guix-build-alacritty-0.12.0.drv-0/source/guix-vendor/rust-winit-0.28.3.tar.gz/src/platform_impl/linux/mod.rs:757:9
note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace

(ins)efraim@3900XT ~$ DISPLAY="" alacritty
thread 'main' panicked at 'Failed to initialize any backend! Wayland status: NoWaylandLib
(no wayland library found!)

X11 status: XOpenDisplayFailed', /tmp/guix-build-alacritty-0.12.0.drv-0/source/guix-vendor/rust-winit-0.28.3.tar.gz/src/platform_impl/linux/mod.rs:757:9
(something something XOpenDislay failed! with that source location)

note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace

> Thank you,
> Lars

One bug per bug report :)

> PS: What *is* entirely broken is swaylock, which also got updated
> recently:
> 
> wl_registry@2: error 0: invalid version for global wl_output (39): have 3, wanted 4
> 

-- 
Efraim Flashner   <[email-masked]>   פלשנר אפרים
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted